Latest Chainlink TWAP report
curl --request GET \
--url https://api.vatic.trading/api/v1/twap/latestimport requests
url = "https://api.vatic.trading/api/v1/twap/latest"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.vatic.trading/api/v1/twap/latest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"asset": "btc",
"symbol": "btc/usd",
"windowSeconds": 30,
"value": "65000.5",
"valueE18": "65000500000000000000000",
"observedAt": "2026-08-07T06:05:00.000Z",
"source": "chainlink_twap"
}Chainlink TWAP
Latest TWAP Report
Beta endpoint returning the latest Chainlink TWAP report for an asset and 30s/60s lookback window.
GET
/
api
/
v1
/
twap
/
latest
Latest Chainlink TWAP report
Returns the latest Chainlink TWAP report for an asset and TWAP window.
curl "https://api.vatic.trading/api/v1/twap/latest?asset=btc&window=30"
Was this page helpful?
⌘I